Bug 46288 - function mono_string_to_byvalwstr may cause access violation
Summary: function mono_string_to_byvalwstr may cause access violation
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: Interop (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-11-02 15:01 UTC by ywq
Modified: 2016-12-03 02:28 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description ywq 2016-11-02 15:01:38 UTC
https://github.com/mono/mono/blob/master/mono/metadata/marshal.c#L1151

I think it may be 
    
memcpy (dst, mono_string_chars (src), len * 2);

else it my read unreadable memory at src.
Comment 1 Miguel de Icaza [MSFT] 2016-11-28 02:44:24 UTC
Pull request:

https://github.com/mono/mono/pull/4031
Comment 2 Miguel de Icaza [MSFT] 2016-12-03 02:28:12 UTC
Merged